#include <stdio.h>
#include <stdlib.h>
#include "global.h"
#include "functions.h"
#include "util.h"
#include "plist.h"


void find_important_points(POINT *point){
  char string[1024];
  int i, relevant=0, irrelevant=0;

   if(Trace){ 
     our_printf("entered find_important_points()\n"); 
     ++Trace; 
   } 

   if(Trace){ 
     sprintf(string,"point %p\timeslice %i\n",point,point->timeslice);
     our_printf(string); 
   } 


  if(point->timeslice != Timeslices-1){
    for(i=0; i<Time[point->timeslice+1].elements; i++){
      if( point_is_relevant(point, &(Time[point->timeslice+1].element[i]))){
	ilist_append(&(point->important_point), i);
	++relevant;
      }else{
	++irrelevant;
      }
    }
  }

/*   printf("important_points = %i\n",point->important_point.elements); */
/*   printf("point = [%i][%i]\trelevant = %i\tirrelevant = %i\n",point->timeslice, point->point_id, */
/* 	 relevant, irrelevant);  */

  if(Trace){ 
    --Trace; 
    our_printf("exiting find_important_points()\n"); 
  } 

}
